package com.yonge.cooleshow.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.yonge.cooleshow.biz.dal.dto.CourseScheduleStudentMusicSheetResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.util.List;

/**
 * 网络教室成员(ImNetworkRoomMember)表实体类
 *
 * @author zx
 * @since 2022-03-30 16:36:37
 */
@ApiModel(value = "im_network_room_member-网络教室成员")
public class ImNetworkRoomMember implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键;")
    private Long id;

    @TableField("course_schedule_id_")
    @ApiModelProperty(value = "课程编号")
    private Long courseScheduleId;

    @TableField("room_id_")
    @ApiModelProperty(value = "房间号")
    private String roomId;

    @TableField("user_id_")
    @ApiModelProperty(value = "用户编号")
    private Long userId;

    @TableField("username_")
    @ApiModelProperty(value = "用户名")
    private String username;

    @TableField("avatar_")
    @ApiModelProperty(value = "用户头像")
    private String avatar;

    @TableField("join_time_")
    @ApiModelProperty(value = "进入时间;")
    private Date joinTime;

    @TableField("role_")
    @ApiModelProperty(value = "角色0学员1老师;")
    private Integer role;

    @TableField("camera_flag_")
    @ApiModelProperty(value = "是否开启摄像头;")
    private boolean cameraFlag;

    @TableField("mic_flag_")
    @ApiModelProperty(value = "是否开启麦克风")
    private boolean micFlag;

    @TableField("music_mode_flag_")
    @ApiModelProperty(value = "是否开启音乐模式")
    private boolean musicModeFlag;

    @TableField("hand_flag_")
    @ApiModelProperty(value = "是否举手")
    private boolean handFlag;

    @ApiModelProperty(value = "当前用户伴奏信息")
    private List<CourseScheduleStudentMusicSheetResult> musicSheetResults;

    public List<CourseScheduleStudentMusicSheetResult> getMusicSheetResults() {
        return musicSheetResults;
    }

    public void setMusicSheetResults(List<CourseScheduleStudentMusicSheetResult> musicSheetResults) {
        this.musicSheetResults = musicSheetResults;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getRoomId() {
        return roomId;
    }

    public void setRoomId(String roomId) {
        this.roomId = roomId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Date getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(Date joinTime) {
        this.joinTime = joinTime;
    }

    public Integer getRole() {
        return role;
    }

    public void setRole(Integer role) {
        this.role = role;
    }

    public boolean isCameraFlag() {
        return cameraFlag;
    }

    public void setCameraFlag(boolean cameraFlag) {
        this.cameraFlag = cameraFlag;
    }

    public boolean isMicFlag() {
        return micFlag;
    }

    public void setMicFlag(boolean micFlag) {
        this.micFlag = micFlag;
    }

    public boolean isMusicModeFlag() {
        return musicModeFlag;
    }

    public void setMusicModeFlag(boolean musicModeFlag) {
        this.musicModeFlag = musicModeFlag;
    }

    public boolean isHandFlag() {
        return handFlag;
    }

    public void setHandFlag(boolean handFlag) {
        this.handFlag = handFlag;
    }
}

